#ifndef _NODE_H_
#define _NODE_H_

#include "quantities/onchipcommunication/Ports.h"

namespace cosi {

namespace library {

namespace onchipcommunication {

class _Node {
public:
	_Node();
	virtual ~_Node();
	cosi::quantity::onchipcommunication::Ports GetPorts();
protected:
	cosi::quantity::onchipcommunication::Ports mPorts ;
};

}

}

}

#endif /*_NODE_H_*/
